Skip to main content
POST
Create a new collection

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

network_id
required

The Network's unique integer ID, or subdomain Unique numeric network ID

Body

application/json

Submit results as JSON

Request to create a new collection

name
string
required

The collection's name

Example:

"Featured Courses"

description
string

The collection's description

Example:

"Our most popular courses"

visible_to_members
boolean

Whether the collection is visible to members

Example:

true

Response

The created collection object

A collection of spaces within a network

id
integer<uint64>
required

The record's integer ID

Example:

"1234"

created_at
string<date-time>
required

The date and time the record was created

Example:

"2026-07-14T19:59:54+00:00"

updated_at
string<date-time>
required

The date and time the record was last modified

Example:

"2026-07-14T19:59:54+00:00"

name
string
required

The collection's name

visible_to_members
boolean
required

Whether the collection is visible to members

position
integer<uint64>
required

The display position of the collection

explorable
boolean
required

Whether the collection contains discoverable spaces or promoted plan

description
string

The collection's description